ie兼容问题(IE=8)

0 投票
SuperMap iClient3D 8C for Plugin,我看你们例子里面都设置ie版本为ie8,<meta http-equiv="X-UA-Compatible" content="IE=8"/>,不设置为ie8时(我测试时将三维地图页面放在iframe里面)加载地图就会报错,这不支持高版本ie吗
11月 11, 2016 分类:  1670次浏览 | 用户: hjl3963 (2 分)

1个回答

0 投票
ie必须要设置兼容性,最高兼容到ie10
11月 11, 2016 用户: 刘桔伍 牛刀小试 (266 分)
怎么好像只能设置ie8,设置其它(ie9,ie10)版本,都会加载报错啊
建议不要将三维球放到iframe页面中,三维球放到主页面。若需要控制三维球的显隐,通过设置绑定div的宽度和高度实现,不要通过div的显隐或者尝试移除该div
如果要隐藏场景把div的width和height设为0的意思吗?在360用display属性隐藏再显示时,球都不出来了,ie就没问题
是的,通过设置div的width和height设为0达到控制三维球隐藏的效果
...